var config = {

};

require(['jquery', 'domReady'], function ($) {
    let input = null;
    let select = null;
    input = $('input.input-text');
    select = $('select');

    function labelUp() {
        let that = $(this);
        let label = $(that.parentsUntil('.field').siblings('.label'));

        if (that.val() !== '') {
            return;
        }

        if (that.val() === '') {
            label.addClass('not-empty');
            return;
        }

        label.removeClass('not-empty');
    }

    function labelDown() {
        let that = $(this);
        let label = $(that.parentsUntil('.field').siblings('.label'));

        if (that.val() === '') {
            label.removeClass('not-empty');
        } else {
            label.addClass('not-empty');
        }
    }

    input.on('focusin click change', labelUp);

    select.on('focusin change', labelUp);

    select.on('click', function () {
        let that = $(this);
        let control = $(that.closest('.control'));
        control.addClass('open');
    });

    input.on('focusout', labelDown);

    select.on('focusout change', labelDown);
    select.on('focusout', function () {
        let that = $(this);
        let control = $(that.closest('.control'));
        control.removeClass('open');
    });

    input.trigger('focusout');
    select.trigger('focusout');

    select.closest('.control').addClass('field-select');

    jQuery('input[type="password"]')
        .closest('.control')
        .addClass('password-utils')
        .append('<div class="password-util"></div>');

    jQuery('.password-util').on('click', function() {
        let input = jQuery(this).siblings('input');
        let control = jQuery(this).closest('.control');
        let inputType = input.attr('type');
        if (inputType === 'password') {
            input.attr('type', 'text');
            control.addClass('password-shown');
            return;
        }

        control.removeClass('password-shown');
        input.attr('type', 'password');
    });
});
